package com.fs.ad.controller;

import com.fs.ad.domain.AdSite;
import com.fs.ad.service.IAdAccountService;
import com.fs.ad.service.IAdSiteService;
import com.fs.common.annotation.Log;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.AjaxResult;
import com.fs.common.core.domain.R;
import com.fs.common.core.page.TableDataInfo;
import com.fs.common.enums.BusinessType;
import com.fs.common.utils.poi.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 站点管理Controller
 * 
 * @author fs
 * @date 2025-03-04
 */
@RestController
@RequestMapping("/ad/adAccount")
public class AdAccountController extends BaseController
{
    @Autowired
    private IAdAccountService adAccountService;

    @GetMapping("/listAll")
    public R listAll(){
        return R.ok().put("data", adAccountService.listAll());
    }

}
